"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CallParametersDataParameter_1 = require("./CallParametersDataParameter");
class CallParameters {
    constructor() {
        this.isFunction = true;
        this.data = [];
    }
    prepareFromRequestBody(body) {
        this.data = !this.data ? [] : this.data;
        for (const key in body) {
            let value = body[key];
            if (value instanceof Object && !(value instanceof Date)) {
                // tslint:disable-next-line: no-null-keyword
                value = null;
            }
            const dbFieldName = 'p_' + key.toLowerCase();
            this.data.push(new CallParametersDataParameter_1.default(dbFieldName, value));
        }
    }
    prepareAndReturnRequestBody(body) {
        this.prepareFromRequestBody(body);
        return this.data;
    }
}
exports.default = CallParameters;
//# sourceMappingURL=CallParameters.js.map