import { OracleDBRequestParameters } from './OracleDBRequestParameters';
import oracledb = require('oracledb');
import CallParameters from './CallParameters';
import CallParametersDataParameter from './CallParametersDataParameter';
import IBasicObject from 'interfaces/IBasicObject';
import ResourceConfig from './supportObjects/ResourceConfig';
/**
 * Helper for perform operations on Oracle database
 *
 */
export declare class OracleDBHelper {
    static readonly NULL: null;
    static prepareCursorOutputBindParameter(variableName?: string): oracledb.BindParameters;
    static createConnectionPool(): Promise<oracledb.Pool>;
    static closeConnectionPool(): void;
    prepareGetCallParameters(resourceConfig: ResourceConfig, requestParameters: OracleDBRequestParameters): CallParameters;
    private prepareGetDataParameters;
    private prepareFieldsParameter;
    private prepareFilterParameter;
    private removeEmptyListFilters;
    private prepareFilterParameterValues;
    private prepareFilterParameterValue;
    private prepareFilterParameterValueOperator;
    private prepareFilterItemValue;
    private preparePotencialBetweenItems;
    private removeBetweenFiltersFromList;
    private getBetweenFilters;
    private prepareBetweenFilterDates;
    private prepareSortParameterValue;
    checkSaveDataParams(reqConfig: ResourceConfig, params: any, isUpdate: boolean): void;
    prepareSaveDataParameters(dataFields: IBasicObject): CallParametersDataParameter[];
    prepareSaveCallParameters(functionName: string, dataFields: IBasicObject): CallParameters;
    prepareDeleteCallParameters(functionName: string, idField: string, id: number): CallParameters;
    private getQuotedString;
}
