import { FilterItem } from 'supportObjects/objects';
/**
 * Parameters for passing to Oracle db stored procedure.
 *
 */
export declare class OracleDBRequestParameters {
    private _filter;
    private _fields;
    private _sort;
    private _itemId;
    private _offset;
    private _limit;
    setFiltersFromQueryParameters(queryParameters: {
        filter: string;
    }): void;
    setFieldsToBeReturendFromQueryParameters(queryParameters: {
        fields: string;
    }): void;
    setSortFromQueryParameters(queryParameters: {
        sort: string;
    }): void;
    setLimitFromQueryParameters(queryParameters: {
        limit: string;
    }): void;
    setOffsetFromQueryParameters(queryParameters: {
        start: string;
    }): void;
    setItemIdFromPathParameters(pathParams: {
        id: number;
    }): void;
    parseQueryParams(queryParameters: any): void;
    get filter(): Array<FilterItem>;
    set filter(value: Array<FilterItem>);
    get fields(): Array<any>;
    set fields(value: Array<any>);
    get sort(): Array<any>;
    set sort(value: Array<any>);
    get itemId(): number;
    set itemId(value: number);
    get offset(): number;
    set offset(value: number);
    get limit(): number;
    set limit(value: number);
}
